Index: testsuite/src/main/org/jboss/test/bootstrap/property/properties/PropertyAware.java
===================================================================
--- testsuite/src/main/org/jboss/test/bootstrap/property/properties/PropertyAware.java	(revision 0)
+++ testsuite/src/main/org/jboss/test/bootstrap/property/properties/PropertyAware.java	(revision 0)
@@ -0,0 +1,52 @@
+/*
+ * JBoss, Home of Professional Open Source.
+ * Copyright 2011, Red Hat, Inc., and individual contributors
+ * as indicated by the @author tags. See the copyright.txt file in the
+ * distribution for a full listing of individual contributors.
+ *
+ * This is free software; you can redistribute it and/or modify it
+ * under the terms of the GNU Lesser General Public License as
+ * published by the Free Software Foundation; either version 2.1 of
+ * the License, or (at your option) any later version.
+ *
+ * This software is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+ * Lesser General Public License for more details.
+ *
+ * You should have received a copy of the GNU Lesser General Public
+ * License along with this software; if not, write to the Free
+ * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
+ * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
+ */
+
+package org.jboss.test.bootstrap.property.properties;
+
+import java.util.Properties;
+
+import org.jboss.system.ServiceMBeanSupport;
+
+/**
+ * @author baranowb
+ *
+ */
+public class PropertyAware extends ServiceMBeanSupport implements PropertyAwareMBean {
+
+    private Properties properties;
+
+    /* (non-Javadoc)
+     * @see org.jboss.test.bootstrap.property.PropertyAwareInterface#setProperties(java.util.Properties)
+     */
+    @Override
+    public void setProperties(Properties b) {
+        this.properties = b;
+    }
+
+    /* (non-Javadoc)
+     * @see org.jboss.test.bootstrap.property.PropertyAwareInterface#getProperties()
+     */
+    @Override
+    public Properties getProperties() {
+        return this.properties;
+    }
+}
Index: testsuite/src/main/org/jboss/test/bootstrap/property/properties/PropertyAwareMBean.java
===================================================================
--- testsuite/src/main/org/jboss/test/bootstrap/property/properties/PropertyAwareMBean.java	(revision 0)
+++ testsuite/src/main/org/jboss/test/bootstrap/property/properties/PropertyAwareMBean.java	(revision 0)
@@ -0,0 +1,36 @@
+/*
+ * JBoss, Home of Professional Open Source.
+ * Copyright 2011, Red Hat, Inc., and individual contributors
+ * as indicated by the @author tags. See the copyright.txt file in the
+ * distribution for a full listing of individual contributors.
+ *
+ * This is free software; you can redistribute it and/or modify it
+ * under the terms of the GNU Lesser General Public License as
+ * published by the Free Software Foundation; either version 2.1 of
+ * the License, or (at your option) any later version.
+ *
+ * This software is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+ * Lesser General Public License for more details.
+ *
+ * You should have received a copy of the GNU Lesser General Public
+ * License along with this software; if not, write to the Free
+ * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
+ * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
+ */
+
+package org.jboss.test.bootstrap.property.properties;
+
+import java.util.Properties;
+
+/**
+ * @author baranowb
+ *
+ */
+public interface PropertyAwareMBean {
+
+    public void setProperties(Properties b);
+    public Properties getProperties();
+
+}
Index: testsuite/src/main/org/jboss/test/bootstrap/property/properties/PropertiesTestCase.java
===================================================================
--- testsuite/src/main/org/jboss/test/bootstrap/property/properties/PropertiesTestCase.java	(revision 0)
+++ testsuite/src/main/org/jboss/test/bootstrap/property/properties/PropertiesTestCase.java	(revision 0)
@@ -0,0 +1,66 @@
+/*
+ * JBoss, Home of Professional Open Source.
+ * Copyright 2011, Red Hat, Inc., and individual contributors
+ * as indicated by the @author tags. See the copyright.txt file in the
+ * distribution for a full listing of individual contributors.
+ *
+ * This is free software; you can redistribute it and/or modify it
+ * under the terms of the GNU Lesser General Public License as
+ * published by the Free Software Foundation; either version 2.1 of
+ * the License, or (at your option) any later version.
+ *
+ * This software is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+ * Lesser General Public License for more details.
+ *
+ * You should have received a copy of the GNU Lesser General Public
+ * License along with this software; if not, write to the Free
+ * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
+ * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
+ */
+
+package org.jboss.test.bootstrap.property.properties;
+
+import java.util.Properties;
+
+import javax.management.MBeanServerConnection;
+import javax.management.ObjectName;
+
+import junit.framework.Test;
+
+import org.jboss.test.JBossTestCase;
+
+/**
+ * @author baranowb
+ *
+ */
+public class PropertiesTestCase extends JBossTestCase
+{
+    org.jboss.logging.Logger  log = getLog();
+
+    static boolean deployed = false;
+    static int test = 0;
+
+    public PropertiesTestCase(String name)
+    {
+
+       super(name);
+
+    }
+
+    public void testAspect() throws Exception
+    {
+       MBeanServerConnection server = getServer();
+       ObjectName testerName = new ObjectName("test:type=property,name=properties");
+       Properties expected = new Properties();
+       expected.setProperty("x", System.getProperty("user.home"));
+       Properties actual = (Properties) server.getAttribute(testerName, "Properties");
+       assertEquals(expected, actual);
+    }
+
+    public static Test suite() throws Exception
+    {
+       return getDeploySetup(PropertiesTestCase.class, "property-properties.jar");
+    }
+ }
\ No newline at end of file
Index: testsuite/src/main/org/jboss/test/jmx/xmbean/XMLFilePersistenceManager.java
===================================================================
--- testsuite/src/main/org/jboss/test/jmx/xmbean/XMLFilePersistenceManager.java	(revision 112986)
+++ testsuite/src/main/org/jboss/test/jmx/xmbean/XMLFilePersistenceManager.java	(working copy)
@@ -42,9 +42,10 @@
 import org.jboss.mx.modelmbean.ModelMBeanInvoker;
 import org.jboss.mx.persistence.PersistenceManager;
 
+import org.jboss.common.beans.property.BeanUtils;
+import org.jboss.common.beans.property.finder.PropertyEditorFinder;
 import org.jboss.logging.Logger;
 import org.jboss.util.StringPropertyReplacer;
-import org.jboss.util.propertyeditor.PropertyEditors;
 
 /**
  * XML File Persistence Manager. <p>
@@ -314,7 +315,7 @@
     */
    private Object convert(String val, String oType) throws Exception
    {
-      PropertyEditor editor = PropertyEditors.getEditor(oType);
+      PropertyEditor editor = PropertyEditorFinder.getInstance().find(BeanUtils.findClass(oType));
       editor.setAsText(val);
       return editor.getValue();
    }
Index: testsuite/src/main/org/jboss/test/xml/MBeanServerUnitTestCase.java
===================================================================
--- testsuite/src/main/org/jboss/test/xml/MBeanServerUnitTestCase.java	(revision 112986)
+++ testsuite/src/main/org/jboss/test/xml/MBeanServerUnitTestCase.java	(working copy)
@@ -130,34 +130,26 @@
       assertEquals("There is 1 mbean", 1, mbeans.size());
 
       MBeanData mbean = (MBeanData) mbeans.get(0);
-      assertTrue("ClassName == org.jboss.security.auth.login.DynamicLoginConfig",
-         mbean.getCode().equals("org.jboss.security.auth.login.DynamicLoginConfig"));
-      assertTrue("Name == jboss.security.tests:service=DynamicLoginConfig",
-         mbean.getName().equals("jboss.security.tests:service=DynamicLoginConfig"));
+      assertEquals("Wrong class name","org.jboss.security.auth.login.DynamicLoginConfig", mbean.getCode());
+      assertEquals("Name","jboss.security.tests:service=DynamicLoginConfig", mbean.getName());
       Map attributes = mbean.getAttributeMap();
-      assertTrue("There are 2 attributes",
-         attributes.size() == 2);
+      assertEquals("Wrong number of attributes", 2, attributes.size());
       MBeanAttribute attr = (MBeanAttribute) attributes.get("PolicyConfig");
       Object value = attr.getValue();
       assertTrue("Value isA PolicyConfig",
           value instanceof PolicyConfig );
       PolicyConfig pc = (PolicyConfig) value;
-      assertTrue("There 1 AuthenticationInfo",
-         pc.size() == 1);
+      assertEquals("Wrong number of AuthenticationInfo", 1, pc.size());
       AuthenticationInfo auth = pc.get("conf1");
-      assertTrue("The AuthenticationInfo name ic config1",
-         auth != null);
+      assertNotNull("The AuthenticationInfo name ic config1", auth);
       AppConfigurationEntry[] ace = auth.getAppConfigurationEntry();
-      assertTrue("The AppConfigurationEntry has one entry",
-         ace != null && ace.length == 1);
-      assertTrue("LoginModuleName", 
-         ace[0].getLoginModuleName().equals("org.jboss.security.auth.spi.IdentityLoginModule"));
+      assertNotNull("AppConfiguration entry must not be null",ace);
+      assertEquals("The AppConfigurationEntry must have one entry", 1 ,ace.length);
+      assertEquals("LoginModuleName", "org.jboss.security.auth.spi.IdentityLoginModule", ace[0].getLoginModuleName());
 
       attr = (MBeanAttribute) attributes.get("UserHome");
-      assertTrue("Name == UserHome",
-         attr.getName().equals("UserHome"));
-      assertTrue("Text != null",
-         attr.getText() != null);
+      assertEquals("UserHome", attr.getName());
+      assertNotNull("Text != null", attr.getText() );
    }
 
    /**
@@ -253,50 +245,45 @@
 
       // Validate the bindings
       JNDIBinding[] values = bindings.getBindings();
-      assertTrue("There are 5 bindings("+values.length+")", values.length == 5);
+      assertEquals("Wrong bindings count", 5, values.length);
 
       JNDIBinding key1 = values[0];
-      assertTrue("values[0] name is ctx1/key1", key1.getName().equals("ctx1/key1"));
-      assertTrue("values[0] is string of value1", key1.getText().equals("value1"));
+      assertEquals("values[0]", "ctx1/key1",key1.getName());
+      assertEquals("values[0] text", "value1",key1.getText());
 
       JNDIBinding userHome = values[1];
-      assertTrue("values[1] name is ctx1/user.home", userHome.getName().equals("ctx1/user.home"));
+      assertEquals("values[1]", "ctx1/user.home",userHome.getName());
       String p = System.getProperty("user.home");
-      assertTrue("values[1] is property ${user.home}", userHome.getText().equals(p));
+      assertEquals("values[1] property( ${user.home} )", p,userHome.getText());
 
       // Test binding from a text to URL based on the type attribute PropertyEditor
       JNDIBinding jbossHome = values[2];
-      assertTrue("values[2] name is ctx1/key2", jbossHome.getName().equals("ctx1/key2"));
-      assertTrue("values[2] is http://www.jboss.org",
-         jbossHome.getText().equals("http://www.jboss.org"));
-      assertTrue("values[2] type is java.net.URL",
-         jbossHome.getType().equals("java.net.URL"));
+      assertEquals("values[2]", "ctx1/key2", jbossHome.getName());
+      assertEquals("values[2] text", "http://www.jboss.org", jbossHome.getText());
+      assertEquals("values[2] type","java.net.URL", jbossHome.getType());
       Object value2 = jbossHome.getValue();
-      assertTrue("values[2] value is URL(http://www.jboss.org)",
-         value2.equals(new URL("http://www.jboss.org")));
+      assertEquals("values[2] as URL(http://www.jboss.org)", new URL("http://www.jboss.org"), value2);
 
       // Test a binding from an xml fragment from a foreign namespace.
       JNDIBinding properties = values[3];
       Object value = properties.getValue();
-      assertTrue("values[3] name is ctx2/key1", properties.getName().equals("ctx2/key1"));
-      assertTrue("values[3] is java.util.Properties", value instanceof Properties);
+      assertEquals("values[3]", "ctx2/key1", properties.getName());
+      assertEquals("values[3] is java.util.Properties", Properties.class,value.getClass());
       Properties props = (Properties) value;
-      assertTrue("Properties(key1) == value1", props.getProperty("key1").equals("value1"));
-      assertTrue("Properties(key2) == value2", props.getProperty("key2").equals("value2"));
+      assertEquals("Properties(key1)", "value1", props.getProperty("key1"));
+      assertEquals("Properties(key2)", "value2", props.getProperty("key2"));
 
       // Test binding from a text to InetAddress based on the editor attribute PropertyEditor
       JNDIBinding host = values[4];
-      assertTrue("values[4] name is hosts/localhost", host.getName().equals("hosts/localhost"));
+      assertEquals("values[4] ", "hosts/localhost", host.getName());
       assertTrue(host.isTrim());
-      assertTrue("values[4] text is 127.0.0.1",
-         host.getText().equals("127.0.0.1"));
-      assertTrue("values[4] editor is org.jboss.util.propertyeditor.InetAddressEditor",
-         host.getEditor().equals("org.jboss.util.propertyeditor.InetAddressEditor"));
+      assertEquals("values[4] text","127.0.0.1",
+         host.getText());
+      assertEquals("values[4] editor","org.jboss.common.beans.property.InetAddressEditor", host.getEditor());
       Object value4 = host.getValue();
       InetAddress hostValue = (InetAddress) value4;
       InetAddress localhost = InetAddress.getByName("127.0.0.1");
-      assertTrue("values[4] value is InetAddress(127.0.0.1)",
-         hostValue.getHostAddress().equals(localhost.getHostAddress()));
+      assertEquals("values[4] value InetAddress(127.0.0.1)",localhost.getHostAddress(), hostValue.getHostAddress());
 
    }
 
Index: testsuite/src/main/org/jboss/test/xml/mbeanserver/XMBean2UnitTestCase.java
===================================================================
--- testsuite/src/main/org/jboss/test/xml/mbeanserver/XMBean2UnitTestCase.java	(revision 112986)
+++ testsuite/src/main/org/jboss/test/xml/mbeanserver/XMBean2UnitTestCase.java	(working copy)
@@ -70,22 +70,23 @@
       String xmlPath = getResourcePath("xml/mbeanserver/testXMBean2.xml");
       Object root = unmarshaller.unmarshal(xmlPath, resolver);
 
-      assertTrue("", root instanceof ModelMBeanInfoSupportWrapper);
+      assertInstanceOf( root,ModelMBeanInfoSupportWrapper.class);
       ModelMBeanInfoSupportWrapper mbean = (ModelMBeanInfoSupportWrapper) root;
       Descriptor descriptor = mbean.getDescriptors();
       Object i = descriptor.getFieldValue("interceptors");
       Interceptor[] interceptors = (Interceptor[]) i;
       SomeBeanInterceptor sbi = (SomeBeanInterceptor) interceptors[0];
       assertTrue(sbi.isFlag());
-      assertTrue("aClass == Integer.class", sbi.getaClass() == Integer.class);
+      assertEquals("Bean interceptor aclass", Integer.class,sbi.getaClass());
+
       URL homePage = new URL("http://www.jboss.org/");
-      assertTrue("homePage == URL(http://www.jboss.org/)", sbi.getHomePage().equals(homePage));
+      assertEquals("homePage",homePage, sbi.getHomePage());
       Long l = new Long(123456789);
-      assertTrue("aLong == 123456789", sbi.getaLong().equals(l));
-      assertTrue("aString == string1", sbi.getaString().equals("string1"));
-      assertTrue("anInt == 1234", sbi.getAnInt() == 1234);
+      assertEquals("aLong", l,sbi.getaLong());
+      assertEquals("aString", "string1",sbi.getaString());
+      assertEquals("anInt",1234, sbi.getAnInt());
       InetAddress localhost = InetAddress.getByName("127.0.0.1");
-      assertTrue("address == 127.0.0.1", sbi.getAddress().equals(localhost));
+      assertEquals("address", localhost,sbi.getAddress());
       String[] strings = {"string1", "string2", "string3"};
       assertTrue("someStrings == {string1, string2, string3}",
          Arrays.equals(strings, sbi.getSomeStrings()));
@@ -93,20 +94,19 @@
       someProperties.setProperty("prop1", "value1");
       someProperties.setProperty("prop2", "value2");
       someProperties.setProperty("prop3", "value3");
-      assertTrue("someProperties == {string1, string2, string3}",
-         sbi.getSomeProperties().equals(someProperties));
+      assertEquals("someProperties", someProperties,sbi.getSomeProperties());
 
       Object i1 = interceptors[1];
-      assertTrue(i1 instanceof PersistenceInterceptor2);
+      assertInstanceOf(i1, PersistenceInterceptor2.class);
       Object i2 = interceptors[2];
-      assertTrue(i2 instanceof ModelMBeanInterceptor);
+      assertInstanceOf(i2,ModelMBeanInterceptor.class);
       Object i3 = interceptors[3];
-      assertTrue(i3 instanceof ObjectReferenceInterceptor);
+      assertInstanceOf(i3 , ObjectReferenceInterceptor.class);
 
       String clazz = mbean.getClassName();
-      assertTrue("class is org.jboss.naming.JNDIBindingService",
-         clazz.equals("org.jboss.naming.JNDIBindingService"));
+      assertEquals("Classname",org.jboss.naming.JNDIBindingService.class.getName(),clazz);
 
+
       ModelMBeanInfo info = mbean.getMBeanInfo();
       MBeanAttributeInfo[] attrs = info.getAttributes();
       assertTrue("There are 2 attributes", attrs.length == 2);
Index: testsuite/src/main/org/jboss/test/xml/mbeanserver/JavaBeanSchemaInitializer.java
===================================================================
--- testsuite/src/main/org/jboss/test/xml/mbeanserver/JavaBeanSchemaInitializer.java	(revision 112986)
+++ testsuite/src/main/org/jboss/test/xml/mbeanserver/JavaBeanSchemaInitializer.java	(working copy)
@@ -25,6 +25,7 @@
 import javax.xml.namespace.QName;
 import javax.xml.namespace.NamespaceContext;
 
+import org.jboss.common.beans.property.BeanUtils;
 import org.jboss.xb.binding.sunday.unmarshalling.SchemaBindingInitializer;
 import org.jboss.xb.binding.sunday.unmarshalling.SchemaBinding;
 import org.jboss.xb.binding.sunday.unmarshalling.TypeBinding;
@@ -32,7 +33,6 @@
 import org.jboss.xb.binding.sunday.unmarshalling.ElementBinding;
 import org.jboss.xb.binding.sunday.unmarshalling.ParticleBinding;
 import org.jboss.xb.binding.sunday.unmarshalling.impl.runtime.RtElementHandler;
-import org.jboss.util.propertyeditor.PropertyEditors;
 import org.xml.sax.Attributes;
 
 /**
@@ -50,10 +50,6 @@
    /** The javabean binding */
    private static final QName javabeanTypeQName = new QName(JavaBeanSchemaInitializer.JAVABEAN_NS, "javabeanType");
 
-   static
-   {
-      PropertyEditors.init();
-   }
 
    public SchemaBinding init(SchemaBinding schema)
    {
@@ -154,7 +150,7 @@
                bean = holder.getBean();
                Properties props = holder.getProperties();
                //System.out.println("Converting properties: "+props);
-               PropertyEditors.mapJavaBeanProperties(bean, props, true);
+               BeanUtils.mapJavaBeanProperties(bean, props, true);
             }
             catch (Exception e)
             {
Index: testsuite/src/main/org/jboss/test/xml/JNDIBindingUnitTestCase.java
===================================================================
--- testsuite/src/main/org/jboss/test/xml/JNDIBindingUnitTestCase.java	(revision 112986)
+++ testsuite/src/main/org/jboss/test/xml/JNDIBindingUnitTestCase.java	(working copy)
@@ -58,47 +58,41 @@
       assertTrue("There are 5 bindings("+values.length+")", values.length == 5);
 
       JNDIBinding key1 = values[0];
-      assertTrue("values[0] name is ctx1/key1", key1.getName().equals("ctx1/key1"));
-      assertTrue("values[0] is string of value1", key1.getText().equals("value1"));
+      assertEquals("values[0] name is ctx1/key1", "ctx1/key1",key1.getName());
+      assertEquals("values[0] is string of value1","value1", key1.getText());
 
       JNDIBinding userHome = values[1];
-      assertTrue("values[1] name is ctx1/user.home", userHome.getName().equals("ctx1/user.home"));
+      assertEquals("values[1] name is ctx1/user.home", "ctx1/user.home",userHome.getName());
       String p = System.getProperty("user.home");
-      assertTrue("values[1] is property ${user.home}", userHome.getText().equals(p));
+      assertEquals("values[1] is property ${user.home}", p, userHome.getText());
 
       // Test binding from a text to URL based on the type attribute PropertyEditor
       JNDIBinding jbossHome = values[2];
-      assertTrue("values[2] name is ctx1/key2", jbossHome.getName().equals("ctx1/key2"));
-      assertTrue("values[2] is http://www.jboss.org",
-         jbossHome.getText().equals("http://www.jboss.org"));
-      assertTrue("values[2] type is java.net.URL",
-         jbossHome.getType().equals("java.net.URL"));
+      assertEquals("values[2] name is ctx1/key2", "ctx1/key2", jbossHome.getName());
+      assertEquals("values[2] is http://www.jboss.org", "http://www.jboss.org", jbossHome.getText());
+      assertEquals("values[2] type is java.net.URL", "java.net.URL", jbossHome.getType());
       Object value2 = jbossHome.getValue();
-      assertTrue("values[2] value is URL(http://www.jboss.org)",
-         value2.equals(new URL("http://www.jboss.org")));
+      assertEquals("values[2] value is URL(http://www.jboss.org)", new URL("http://www.jboss.org"), value2);
 
       // Test a binding from an xml fragment from a foreign namespace.
       JNDIBinding properties = values[3];
       Object value = properties.getValue();
-      assertTrue("values[3] name is ctx2/key1", properties.getName().equals("ctx2/key1"));
+      assertEquals("values[3] name is ctx2/key1", "ctx2/key1",properties.getName());
       assertTrue("values[3] is java.util.Properties", value instanceof Properties);
       Properties props = (Properties) value;
-      assertTrue("Properties(key1) == value1", props.getProperty("key1").equals("value1"));
-      assertTrue("Properties(key2) == value2", props.getProperty("key2").equals("value2"));
+      assertEquals("Properties(key1) == value1", "value1", props.getProperty("key1"));
+      assertEquals("Properties(key2) == value2", "value2", props.getProperty("key2"));
 
       // Test binding from a text to InetAddress based on the editor attribute PropertyEditor
       JNDIBinding host = values[4];
-      assertTrue("values[4] name is hosts/localhost", host.getName().equals("hosts/localhost"));
+      assertEquals("values[4] name is hosts/localhost", "hosts/localhost",host.getName());
       assertTrue(host.isTrim());
-      assertTrue("values[4] text is 127.0.0.1",
-         host.getText().equals("127.0.0.1"));
-      assertTrue("values[4] editor is org.jboss.util.propertyeditor.InetAddressEditor",
-         host.getEditor().equals("org.jboss.util.propertyeditor.InetAddressEditor"));
+      assertEquals("values[4] text is 127.0.0.1", "127.0.0.1", host.getText());
+      assertEquals("values[4] editor is org.jboss.common.beans.property.InetAddressEditor", "org.jboss.common.beans.property.InetAddressEditor" ,  host.getEditor());
       Object value4 = host.getValue();
       InetAddress hostValue = (InetAddress) value4;
       InetAddress localhost = InetAddress.getByName("127.0.0.1");
-      assertTrue("values[4] value is InetAddress(127.0.0.1)",
-         hostValue.getHostAddress().equals(localhost.getHostAddress()));
+      assertEquals("values[4] value is InetAddress(127.0.0.1)", localhost.getHostAddress(), hostValue.getHostAddress());
    }
 
    // Private
Index: connector/.classpath
===================================================================
--- connector/.classpath	(revision 112986)
+++ connector/.classpath	(working copy)
@@ -20,5 +20,6 @@
 	<classpathentry kind="lib" path="/thirdparty/jboss/jboss-mdr/lib/jboss-mdr.jar" sourcepath="/thirdparty/jboss/jboss-mdr/lib/jboss-mdr-sources.jar"/>
 	<classpathentry kind="lib" path="/thirdparty/jboss/microcontainer/lib/jboss-dependency.jar" sourcepath="/thirdparty/jboss/microcontainer/lib/jboss-dependency-sources.jar"/>
 	<classpathentry kind="lib" path="/thirdparty/jboss/jboss-bootstrap/lib/jboss-bootstrap.jar"/>
+	<classpathentry kind="lib" path="/thirdparty/jboss/common-beans/lib/jboss-common-beans.jar"/>
 	<classpathentry kind="output" path="output/eclipse-classes"/>
 </classpath>
Index: connector/src/main/org/jboss/resource/adapter/jdbc/xa/XAManagedConnectionFactory.java
===================================================================
--- connector/src/main/org/jboss/resource/adapter/jdbc/xa/XAManagedConnectionFactory.java	(revision 112986)
+++ connector/src/main/org/jboss/resource/adapter/jdbc/xa/XAManagedConnectionFactory.java	(working copy)
@@ -21,11 +21,11 @@
  */
 package org.jboss.resource.adapter.jdbc.xa;
 
+import org.jboss.common.beans.property.finder.PropertyEditorFinder;
 import org.jboss.resource.adapter.jdbc.BaseWrapperManagedConnectionFactory;
 import org.jboss.resource.adapter.jdbc.URLSelectorStrategy;
 import java.lang.reflect.InvocationTargetException;
 import java.lang.reflect.Method;
-import java.beans.PropertyEditorManager;
 import java.beans.PropertyEditor;
 import javax.sql.XADataSource;
 import javax.sql.XAConnection;
@@ -191,7 +191,7 @@
          } // end of try-catch
 
          Method setter = clazz.getMethod("set" + name, new Class[]{type});
-         PropertyEditor editor = PropertyEditorManager.findEditor(type);
+         PropertyEditor editor = PropertyEditorFinder.getInstance().find(type);
          if(editor == null)
          {
             throw new JBossResourceException("No property editor found for type: " + type);
@@ -597,7 +597,7 @@
                }
 
                Method setter = clazz.getMethod("set" + name, new Class[] { type });
-               PropertyEditor editor = PropertyEditorManager.findEditor(type);
+               PropertyEditor editor = PropertyEditorFinder.getInstance().find(type);
                if (editor == null)
                   throw new JBossResourceException("No property editor found for type: " + type);
                editor.setAsText(value);
Index: connector/src/main/org/jboss/resource/deployment/AdminObjectFactory.java
===================================================================
--- connector/src/main/org/jboss/resource/deployment/AdminObjectFactory.java	(revision 112986)
+++ connector/src/main/org/jboss/resource/deployment/AdminObjectFactory.java	(working copy)
@@ -21,10 +21,7 @@
  */
 package org.jboss.resource.deployment;
 
-import java.beans.PropertyEditor;
-import java.beans.PropertyEditorManager;
 import java.lang.reflect.InvocationTargetException;
-import java.lang.reflect.Method;
 import java.util.Collection;
 import java.util.Iterator;
 import java.util.Map;
Index: connector/src/main/org/jboss/resource/deployment/ConfigPropertyHandler.java
===================================================================
--- connector/src/main/org/jboss/resource/deployment/ConfigPropertyHandler.java	(revision 112986)
+++ connector/src/main/org/jboss/resource/deployment/ConfigPropertyHandler.java	(working copy)
@@ -22,11 +22,11 @@
 package org.jboss.resource.deployment;
 
 import java.beans.PropertyEditor;
-import java.beans.PropertyEditorManager;
 import java.lang.reflect.Method;
 import java.util.HashMap;
 import java.util.Map;
 
+import org.jboss.common.beans.property.finder.PropertyEditorFinder;
 import org.jboss.logging.Logger;
 import org.jboss.resource.metadata.ConfigPropertyMetaData;
 import org.jboss.util.Classes;
@@ -278,7 +278,7 @@
     */
    private Object getValue(String propertyName, Class actualType, String value, boolean mustExist)
    {
-      PropertyEditor editor = PropertyEditorManager.findEditor(actualType);
+      PropertyEditor editor = PropertyEditorFinder.getInstance().find(actualType);
       if (editor == null)
       {
          String error = "No property editor found for property " + propertyName;
Index: connector/src/main/org/jboss/resource/deployment/ResourceAdapterFactory.java
===================================================================
--- connector/src/main/org/jboss/resource/deployment/ResourceAdapterFactory.java	(revision 112986)
+++ connector/src/main/org/jboss/resource/deployment/ResourceAdapterFactory.java	(working copy)
@@ -21,13 +21,8 @@
  */
 package org.jboss.resource.deployment;
 
-import java.beans.PropertyEditor;
-import java.beans.PropertyEditorManager;
 import java.lang.reflect.InvocationTargetException;
-import java.lang.reflect.Method;
-import java.util.HashMap;
 import java.util.Iterator;
-import java.util.Map;
 
 import javax.resource.spi.ResourceAdapter;
 
Index: connector/src/main/org/jboss/resource/connectionmanager/ManagedConnectionFactoryDeployment.java
===================================================================
--- connector/src/main/org/jboss/resource/connectionmanager/ManagedConnectionFactoryDeployment.java	(revision 112986)
+++ connector/src/main/org/jboss/resource/connectionmanager/ManagedConnectionFactoryDeployment.java	(working copy)
@@ -22,7 +22,6 @@
 package org.jboss.resource.connectionmanager;
 
 import java.beans.PropertyEditor;
-import java.beans.PropertyEditorManager;
 import java.lang.reflect.InvocationTargetException;
 import java.lang.reflect.Method;
 import java.io.File;
@@ -55,9 +54,9 @@
 import javax.security.auth.Subject;
 import javax.transaction.xa.XAResource;
 
+import org.jboss.common.beans.property.finder.PropertyEditorFinder;
 import org.jboss.deployers.spi.DeploymentException;
 import org.jboss.logging.Logger;
-import org.jboss.metadata.MetaData;
 import org.jboss.resource.connectionmanager.xa.XAResourceWrapperImpl;
 import org.jboss.resource.metadata.ConfigPropertyMetaData;
 import org.jboss.resource.metadata.ConnectionDefinitionMetaData;
@@ -80,8 +79,6 @@
 import org.jboss.util.NestedRuntimeException;
 import org.jboss.util.StringPropertyReplacer;
 import org.w3c.dom.Element;
-import org.w3c.dom.Node;
-import org.w3c.dom.NodeList;
 
 
 /**
@@ -1021,7 +1018,7 @@
                continue;
             }
          }
-         PropertyEditor pe = PropertyEditorManager.findEditor(clazz);
+         PropertyEditor pe = PropertyEditorFinder.getInstance().find(clazz);
          if (pe == null)
          {
             log.warn("Unable to find a PropertyEditor for class '" + clazz + "' of property '" + name + "' - "
@@ -1081,7 +1078,7 @@
                continue;
             }
          }
-         PropertyEditor pe = PropertyEditorManager.findEditor(clazz);
+         PropertyEditor pe = PropertyEditorFinder.getInstance().find(clazz);
          if (pe == null)
          {
             log.warn("Unable to find a PropertyEditor for class '" + clazz + "' of property '" + name + "' - "
